## Our Commitment

In order to foster an open and welcoming environment, we, as contributors and maintainers, are committed to ensuring that participation in our project and our community is a respectful experience, regardless of your personal or professional characteristics.

## Our Standards

Examples of behaviors that contribute to a positive environment include:

* Respecting different viewpoints and experiences
* Accepting constructive criticism graciously
* Focusing on what is best for the community
* Showing empathy for other community members

Examples of unacceptable behavior include:

* Using inappropriate language or images and unwanted sexual advances
* Insulting comments or personal and political attacks
* Public or private harassment
* Disclosing private information about others, such as physical or email addresses, without explicit permission
* Any other behavior that would be considered inappropriate in a professional environment

## Our Responsibilities

Project maintainers are responsible for clarifying standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior.

Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that do not comply with this Code of Conduct, or to temporarily or permanently ban any contributor for other behavior they deem inappropriate, threatening, offensive, or harmful.

## Scope

This Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project email address, posting via an official social media account, or acting as a designated representative at an online or offline event. Representation of a project may be defined and clarified by the project maintainers.

## Enforcement

Abusive, harassing, or unacceptable behavior may be reported by contacting the project team at contact@cmmv.io. All complaints will be reviewed and investigated, resulting in a response deemed appropriate under the circumstances. The project team is required to maintain confidentiality regarding the incident reporter. More details about specific enforcement policies may be published separately.

Project maintainers who fail to follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions, as determined by other members of the project leadership.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage], version 1.4, available at https://www.contributor-covenant.org/version/1/4/code-of-conduct.html

[homepage]: https://www.contributor-covenant.org

For answers to common questions about this Code of Conduct, see https://www.contributor-covenant.org/faq