import { ViewElement, ViewTab, ParsedContract } from "../interfaces";
export declare abstract class ViewSchema {
    name: string;
    ext: string;
    imports: Array<string>;
    components: Record<string, {
        tag: string;
        docs?: string;
        props?: Record<string, string>;
    }>;
    genericAttrs: Record<string, string>;
    parser(contract: ParsedContract, components: Record<string, ViewElement>, tabs?: Array<ViewTab>): void;
    generateOutput(outputPath: string, vueTemplate: string): void;
    validateProp(propKey: string, propValue: any, expectedType: string): boolean;
}
