"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ViewSchema = void 0;
const fs = require("node:fs");
const path = require("node:path");
class ViewSchema {
    constructor() {
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: ""
        });
        Object.defineProperty(this, "ext", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: ""
        });
        Object.defineProperty(this, "imports", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: []
        });
        Object.defineProperty(this, "components", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: {}
        });
        Object.defineProperty(this, "genericAttrs", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
    }
    parser(contract, components, tabs) { }
    generateOutput(outputPath, vueTemplate) {
        if (!fs.existsSync(path.dirname(outputPath)))
            fs.mkdirSync(path.dirname(outputPath), { recursive: true });
        fs.writeFileSync(outputPath, vueTemplate, 'utf-8');
    }
    validateProp(propKey, propValue, expectedType) {
        var _a;
        const typeCheckers = {
            string: (value) => typeof value === "string",
            number: (value) => typeof value === "number",
            boolean: (value) => typeof value === "boolean",
            object: (value) => typeof value === "object" && value !== null && !Array.isArray(value),
            array: (value) => Array.isArray(value),
            function: (value) => typeof value === "function",
        };
        const types = expectedType.split("|");
        for (const type of types) {
            if ((_a = typeCheckers[type.trim()]) === null || _a === void 0 ? void 0 : _a.call(typeCheckers, propValue))
                return true;
        }
        throw new Error(`Invalid type for prop "${propKey}". Expected "${expectedType}", but received "${typeof propValue}".`);
    }
}
exports.ViewSchema = ViewSchema;
//# sourceMappingURL=schema.abstract.js.map