"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalesController = void 0;
const core_1 = require("@cmmv/core");
const http_1 = require("@cmmv/http");
const locales_service_1 = require("../services/locales.service");
const locales_model_1 = require("../models/locales.model");
let LocalesController = class LocalesController {
    constructor(localesservice) {
        Object.defineProperty(this, "localesservice", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: localesservice
        });
    }
    getAll(queries, req) {
        return __awaiter(this, void 0, void 0, function* () {
            core_1.Telemetry.start('LocalesController::GetAll', req.requestId);
            let result = yield this.localesservice.getAll(queries, req);
            core_1.Telemetry.end('LocalesController::GetAll', req.requestId);
            return result;
        });
    }
    getById(id, req) {
        return __awaiter(this, void 0, void 0, function* () {
            core_1.Telemetry.start('LocalesController::GetById', req.requestId);
            let result = yield this.localesservice.getById(id, req);
            core_1.Telemetry.end('LocalesController::GetById', req.requestId);
            return result;
        });
    }
    add(item, req) {
        return __awaiter(this, void 0, void 0, function* () {
            core_1.Telemetry.start('LocalesController::Add', req.requestId);
            let result = yield this.localesservice.add(item, req);
            core_1.Telemetry.end('LocalesController::Add', req.requestId);
            return result;
        });
    }
    update(id, item, req) {
        return __awaiter(this, void 0, void 0, function* () {
            core_1.Telemetry.start('LocalesController::Update', req.requestId);
            let result = yield this.localesservice.update(id, item, req);
            core_1.Telemetry.end('LocalesController::Update', req.requestId);
            return result;
        });
    }
    delete(id, req) {
        return __awaiter(this, void 0, void 0, function* () {
            core_1.Telemetry.start('LocalesController::Delete', req.requestId);
            let result = yield this.localesservice.delete(id, req);
            core_1.Telemetry.end('LocalesController::Delete', req.requestId);
            return result;
        });
    }
};
exports.LocalesController = LocalesController;
__decorate([
    (0, http_1.Get)(),
    __param(0, (0, http_1.Queries)()),
    __param(1, (0, http_1.Request)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], LocalesController.prototype, "getAll", null);
__decorate([
    (0, http_1.Get)(':id'),
    __param(0, (0, http_1.Param)('id')),
    __param(1, (0, http_1.Request)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", Promise)
], LocalesController.prototype, "getById", null);
__decorate([
    (0, http_1.Post)(),
    __param(0, (0, http_1.Body)()),
    __param(1, (0, http_1.Request)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [locales_model_1.Locales, Object]),
    __metadata("design:returntype", Promise)
], LocalesController.prototype, "add", null);
__decorate([
    (0, http_1.Put)(':id'),
    __param(0, (0, http_1.Param)('id')),
    __param(1, (0, http_1.Body)()),
    __param(2, (0, http_1.Request)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, locales_model_1.Locales, Object]),
    __metadata("design:returntype", Promise)
], LocalesController.prototype, "update", null);
__decorate([
    (0, http_1.Delete)(':id'),
    __param(0, (0, http_1.Param)('id')),
    __param(1, (0, http_1.Request)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", Promise)
], LocalesController.prototype, "delete", null);
exports.LocalesController = LocalesController = __decorate([
    (0, http_1.Controller)('locales'),
    __metadata("design:paramtypes", [locales_service_1.LocalesService])
], LocalesController);
//# sourceMappingURL=locales.controller.js.map