"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FORM_USERPC = exports.FORM_INJECTCONTROLLER = exports.FORM_GENERATEHTML = exports.FORM_OUTPUT = exports.FORM_SCHEMA = void 0;
exports.Form = Form;
exports.FORM_SCHEMA = Symbol('form_schema');
exports.FORM_OUTPUT = Symbol('form_output');
exports.FORM_GENERATEHTML = Symbol('form_generateHTML');
exports.FORM_INJECTCONTROLLER = Symbol('form_injectController');
exports.FORM_USERPC = Symbol('form_useRPC');
function Form(options) {
    const isValidClass = (value) => {
        return typeof value === 'function' && value.prototype;
    };
    if ((options === null || options === void 0 ? void 0 : options.schema) && !isValidClass(options.schema)) {
        throw new Error(`Invalid schema provided: ${options.schema}`);
    }
    const defaultSchema = null;
    const defaultOutput = "";
    const defaultGenerateHTML = false;
    const defaultInjectController = false;
    const defaultUseRPC = false;
    const [schema, output, generateHTML, injectController, useRPC] = !options
        ? [
            defaultSchema,
            defaultOutput,
            defaultGenerateHTML,
            defaultInjectController,
            defaultUseRPC
        ]
        : [
            options.schema || defaultSchema,
            options.output || defaultOutput,
            options.generateHTML || defaultGenerateHTML,
            options.injectController || defaultInjectController,
            options.useRPC || defaultUseRPC
        ];
    return (target) => {
        Reflect.defineMetadata(exports.FORM_SCHEMA, schema, target);
        Reflect.defineMetadata(exports.FORM_OUTPUT, output, target);
        Reflect.defineMetadata(exports.FORM_GENERATEHTML, generateHTML, target);
        Reflect.defineMetadata(exports.FORM_INJECTCONTROLLER, injectController, target);
        Reflect.defineMetadata(exports.FORM_USERPC, useRPC, target);
    };
}
//# sourceMappingURL=form.decorator.js.map