"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalesGateway = void 0;
const ws_1 = require("@cmmv/ws");
const class_transformer_1 = require("class-transformer");
const locales_entity_1 = require("../entities/locales.entity");
const locales_service_1 = require("../services/locales.service");
let LocalesGateway = class LocalesGateway {
    constructor(localesservice) {
        Object.defineProperty(this, "localesservice", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: localesservice
        });
    }
    getAll(socket) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const items = yield this.localesservice.getAll();
                const response = yield ws_1.RpcUtils.pack("locales", "GetAllLocalesResponse", items);
                if (response)
                    socket.send(response);
            }
            catch (e) { }
        });
    }
    add(data, socket) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const entity = (0, class_transformer_1.plainToClass)(locales_entity_1.LocalesEntity, data.item);
                const result = yield this.localesservice.add(entity);
                const response = yield ws_1.RpcUtils.pack("locales", "AddLocalesResponse", { item: result, id: result.id });
                if (response)
                    socket.send(response);
            }
            catch (e) { }
        });
    }
    update(data, socket) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const entity = (0, class_transformer_1.plainToClass)(locales_entity_1.LocalesEntity, data.item);
                const result = yield this.localesservice.update(data.id, entity);
                const response = yield ws_1.RpcUtils.pack("locales", "UpdateLocalesResponse", { item: result, id: result.id });
                if (response)
                    socket.send(response);
            }
            catch (e) { }
        });
    }
    delete(data, socket) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const result = (yield this.localesservice.delete(data.id));
                const response = yield ws_1.RpcUtils.pack("locales", "DeleteLocalesResponse", {
                    success: result.success,
                    affected: result.affected,
                    id: data.id
                });
                if (response)
                    socket.send(response);
            }
            catch (e) { }
        });
    }
};
exports.LocalesGateway = LocalesGateway;
__decorate([
    (0, ws_1.Message)("GetAllLocalesRequest"),
    __param(0, (0, ws_1.Socket)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], LocalesGateway.prototype, "getAll", null);
__decorate([
    (0, ws_1.Message)("AddLocalesRequest"),
    __param(0, (0, ws_1.Data)()),
    __param(1, (0, ws_1.Socket)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], LocalesGateway.prototype, "add", null);
__decorate([
    (0, ws_1.Message)("UpdateLocalesRequest"),
    __param(0, (0, ws_1.Data)()),
    __param(1, (0, ws_1.Socket)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], LocalesGateway.prototype, "update", null);
__decorate([
    (0, ws_1.Message)("DeleteLocalesRequest"),
    __param(0, (0, ws_1.Data)()),
    __param(1, (0, ws_1.Socket)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], LocalesGateway.prototype, "delete", null);
exports.LocalesGateway = LocalesGateway = __decorate([
    (0, ws_1.Rpc)("locales"),
    __metadata("design:paramtypes", [locales_service_1.LocalesService])
], LocalesGateway);
//# sourceMappingURL=locales.gateway.js.map