"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@cmmv/core");
const http_1 = require("@cmmv/http");
const protobuf_1 = require("@cmmv/protobuf");
const ws_1 = require("@cmmv/ws");
const view_1 = require("@cmmv/view");
const repository_1 = require("@cmmv/repository");
const vite_1 = require("@cmmv/vite");
const formbuilder_module_1 = require("./modules/formbuilder.module");
const locale_contract_1 = require("./contracts/locale.contract");
core_1.Application.create({
    httpAdapter: http_1.DefaultAdapter,
    wsAdapter: ws_1.WSAdapter,
    modules: [
        http_1.DefaultHTTPModule,
        formbuilder_module_1.FormBuilderModule,
        protobuf_1.ProtobufModule,
        ws_1.WSModule,
        view_1.ViewModule,
        repository_1.RepositoryModule,
        vite_1.ViteModule,
    ],
    services: [repository_1.Repository],
    transpilers: [view_1.VueTranspile],
    contracts: [locale_contract_1.LocalesContract],
});
//# sourceMappingURL=server.js.map