"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocaleForm = void 0;
const abstracts_1 = require("../abstracts");
const decorators_1 = require("../decorators");
const schemas_1 = require("../schemas");
let LocaleForm = class LocaleForm extends abstracts_1.AbstractForm {
    constructor() {
        super(...arguments);
        Object.defineProperty(this, "components", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: {
                title: {
                    type: "static",
                    props: {
                        content: "Locale",
                        tag: "h1"
                    }
                },
                code: {
                    type: "input",
                    props: {
                        "input-type": "text",
                        mask: { mask: 'AA', overwrite: true },
                        placeholder: "$i18n.code|Code",
                        rules: ["required", "max:2", "min:2"]
                    }
                },
                code3: {
                    type: "input",
                    props: {
                        "input-type": "text",
                        mask: { mask: 'AAA', overwrite: true },
                        placeholder: "$i18n.code3|Code A3C",
                        rules: ["required", "max:3", "min:3"]
                    }
                },
                codeNum: {
                    type: "input",
                    props: {
                        "input-type": "number",
                        mask: { mask: '000', overwrite: true },
                        placeholder: "$i18n.numeric|Numeric",
                        rules: ["required"]
                    }
                },
                name: {
                    type: "input",
                    props: {
                        "input-type": "text",
                        placeholder: "$i18n.name|Name"
                    }
                },
                nameOriginal: {
                    type: "input",
                    props: {
                        "input-type": "text",
                        placeholder: "$i18n.nameOriginal|Original Name"
                    }
                },
                submit: {
                    type: "button",
                    props: {
                        "button-label": "Submit",
                        "button-type": "submit",
                        submits: true,
                        full: false
                    }
                }
            }
        });
    }
};
exports.LocaleForm = LocaleForm;
exports.LocaleForm = LocaleForm = __decorate([
    (0, decorators_1.Form)({
        schema: schemas_1.VueformSchema,
        output: "public/components/localeForm.vue",
        useRPC: true
    })
], LocaleForm);
//# sourceMappingURL=localeForm.view.js.map